
/* Used to hold the output of select statements. */
typedef struct {
  int             res_length;
  char           *res_data;
}RES_BUF;

#define CURSOR_NAME_LEN	24

/*
 * Information about a cursor.
 */
typedef struct curs {
  char            name[CURSOR_NAME_LEN];
  IISQLDA        *sqlda;
  RES_BUF         res_buf;
  COLTYPE        *coltype;	/* Pointer to array of column types. Used to
				 * track initial column types. */
  struct curs    *next;
} CURSOR;

CURSOR		*get_cursor();
IISQLDA         *init_sqlda();
void		 free_cursor();
